//! Constants for all SI prefixes as `f32`s

/// The SI prefix for 10^24
pub const YOTTA: f32 = 1e24;
/// The SI prefix for 10^21
pub const ZETTA: f32 = 1e21;
/// The SI prefix for 10^18
pub const EXA: f32 = 1e18;
/// The SI prefix for 10^15
pub const PETA: f32 = 1e15;
/// The SI prefix for 10^12
pub const TERA: f32 = 1e12;
/// The SI prefix for 10^9
pub const GIGA: f32 = 1e9;
/// The SI prefix for 10^6
pub const MEGA: f32 = 1e6;
/// The SI prefix for 10^3
pub const KILO: f32 = 1e3;
/// The SI prefix for 10^2
pub const HECTO: f32 = 1e2;
/// The SI prefix for 10^1
pub const DECA: f32 = 1e1;

/// The SI prefix for 10^-1
pub const DECI: f32 = 1e-1;
/// The SI prefix for 10^-2
pub const CENTI: f32 = 1e-2;
/// The SI prefix for 10^-3
pub const MILLI: f32 = 1e-3;
/// The SI prefix for 10^-6
pub const MICRO: f32 = 1e-6;
/// The SI prefix for 10^-9
pub const NANO: f32 = 1e-9;
/// The SI prefix for 10^-12
pub const PICO: f32 = 1e-12;
/// The SI prefix for 10^-15
pub const FEMTO: f32 = 1e-15;
/// The SI prefix for 10^-18
pub const ATTO: f32 = 1e-18;
/// The SI prefix for 10^-21
pub const ZEPTO: f32 = 1e-21;
/// The SI prefix for 10^-24
pub const YOCTO: f32 = 1e-24;
